# Interface IBuildingAdvancedSearchEventArgs

Argument sent to all handlers bound on AdvancedSearchEvents.buildingAdvancedSearch

## Index

### Properties

- executeQuery
- sections

## Properties

### executeQuery

executeQuery: function

- Defined in events/AdvancedSearchEvents.ts :17

An easy way to execute a new query.

param

#### Type declaration

- - (options: IQueryOptions): Promise<IQueryResults>

  - #### Parameters

    - ##### options: IQueryOptions

    #### Returns Promise<IQueryResults>

### sections

sections: IExternalAdvancedSearchSection[]

- Defined in events/AdvancedSearchEvents.ts :12

Sections which external code can populate by pushing into this array.

### Hierarchy

- IBuildingAdvancedSearchEventArgs